%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:   NetworkManager VPN integration for vpnc
Name:      networkmanager-vpnc
Version:   1.2.8
Release:   %mkrel 1
License:   GPLv2+
Group:     System/Base
URL:       https://wiki.gnome.org/Projects/NetworkManager
Source:    https://download.gnome.org/sources/NetworkManager-vpnc/%{url_ver}/NetworkManager-vpnc-%version.tar.xz
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libnma)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: intltool
Requires: networkmanager
Requires: vpnc

%description
This package contains software for integrating the vpnc VPN software
with NetworkManager.

%prep
%setup -q -n NetworkManager-vpnc-%{version}

%build
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure2_5x \
	--disable-static \
	--without-libnm-glib
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang NetworkManager-vpnc

%files -f NetworkManager-vpnc.lang
%{_datadir}/dbus-1/system.d/nm-vpnc-service.conf
%{_libexecdir}/nm-vpnc-auth-dialog
%{_libexecdir}/nm-vpnc-service
%{_libexecdir}/nm-vpnc-service-vpnc-helper
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
%{_datadir}/metainfo/network-manager-vpnc.metainfo.xml
%{_prefix}/lib/NetworkManager/VPN/nm-vpnc-service.name

%changelog
* Mon Aug 29 2022 tex - 1.2.8-1pclos2022
- new version

* Thu May 20 2021 tex - 1.2.6-1pclos2021
- create pkg
